#if !defined(_MYHEADER_H__INCLUDED_)
#if !defined(IGNORED_BY_DOXYGEN)
#  define _MYHEADER_H__INCLUDED_
#endif  /* !defined(IGNORED_BY_DOXYGEN) */


#if _MSC_VER >= 1000
#pragma once
#endif /* _MSC_VER >= 1000 */


/**
 * This is the test1 function demonstrating bug 306136 with doxygen 1.4.3.
 *
 * \brief This is the brief description of test1.
 *
 * \remarks The \c cszUserName value may be the fully-qualified form of 
 *          "username@namespace".  It may also be ...
 */
void 
  test1(
    const wchar_t * const cszUserName);


/**
 * This is the test2 function demonstrating bug 306136 with doxygen 1.4.3.
 *
 * \brief This is the brief description of test2.
 *
 * \remarks The \c cszUserName value may be the fully-qualified form of 
 *          "username@namespace".  It may also be ...
 */
void 
  test2(
    const wchar_t * const cszUserName);


/**
 * This is the test3 function demonstrating bug 306136 with doxygen 1.4.3.
 *
 * \brief This is the brief description of test3.
 *
 * \remarks The \c cszUserName value may be the fully-qualified form of 
 *          "username@namespace".  It may also be ...
 */
void 
  test3(
    const wchar_t * const cszUserName);


#endif /* !defined(_MYHEADER_H__INCLUDED_) */
